import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _MDLMaterialProperty } from "./MDLMaterialProperty.js";
export declare class _MDLScatteringFunction extends _NSObject {
    static alloc(): _MDLScatteringFunction;
    static new(): _MDLScatteringFunction;
    init(): _MDLScatteringFunction;
    /** @see MDLNamed */
    name(): _NSString;
    setName$(value: _NSString): void;
    baseColor(): _MDLMaterialProperty;
    emission(): _MDLMaterialProperty;
    specular(): _MDLMaterialProperty;
    materialIndexOfRefraction(): _MDLMaterialProperty;
    interfaceIndexOfRefraction(): _MDLMaterialProperty;
    normal(): _MDLMaterialProperty;
    ambientOcclusion(): _MDLMaterialProperty;
    ambientOcclusionScale(): _MDLMaterialProperty;
}
